#include "road.h"

Road::Road(const vector3D& s, const vector3D& e, double w) : start(s), end(e), width(w) {
    
}

Road::Road(const Road& road) : start(road.start), end(road.end), width(road.width) { //Why only width ?
    
}

Road::~Road() {
    
}

void Road::randomize(double min, double max) { //TODO static function in an another (library) class ?
    width = (rand() % (int) (max - min) + min);
}

std::ostream & operator <<(std::ostream & os, const Road & road) {
    return os << "road{start: " << road.start << ", end: " << road.end << ", width: " << road.width << "}" << std::endl;
}
